Deactivate a staff member and reassign shifts
curl --request POST \
--url https://{server}.sanicus-connect.com/staff/staff/{uuid}/deactivate \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{}'import requests
url = "https://{server}.sanicus-connect.com/staff/staff/{uuid}/deactivate"
payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};
fetch('https://{server}.sanicus-connect.com/staff/staff/{uuid}/deactivate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Staff
Deactivate a staff member and reassign shifts
Marks the staff member inactive and reassigns their future unlocked shifts to the chosen replacements. The request body maps each affected roster plan UUID to the replacement staff member UUID.
POST
/
staff
/
{uuid}
/
deactivate
Deactivate a staff member and reassign shifts
⌘I
